global:
  env: prod
  ownerAccess: true
  public: true

  imageTag: d9cd4f6fd9825d90f5b6f3be9e4d9f3c2b7fe2f8

  services:
    robot-gateway:
      ingress:
        annotations:
          cert-manager.io/cluster-issuer: vault-infra
      env:
        ROBOT_GATEWAY__ROBOT_GATEWAY_CONTROLLER__ENVIRONMENT:
          value: '"prod"'
      replicaCount: 20

    admin-gateway:
      ingress:
        annotations:
          cert-manager.io/cluster-issuer: vault-infra

    mission-assignment-daemon:
      env:
        MISSION_ASSIGNMENT_DAEMON__ROBOT_IMPL__RANGE_METERS:
          value: '20000'
      replicaCount: 1

    mobile-gateway:
      env:
        MOBILE_GATEWAY__AUTH_DECORATORS__AUTH_DOMAIN:
          value: '"maestro-mobile-dev.auth0.com"'
        MOBILE_GATEWAY__AUTH_DECORATORS__API_AUDIENCE:
          value: '"https://mobile-gateway.prod.maestro.zoox.com"'
      replicaCount: 10

    mission:
      replicaCount: 10
      env:
        MISSION_SERVICE__MISSION_DIAGNOSTICS_STORE__ES_URL:
          value: "https://vpc-firaoqtbvvqxmuuiwdgzpgeldwao-bgykekya3z6idzpihxclaljmoa.us-west-2.es.amazonaws.com"
        MISSION_SERVICE__MISSION_DIAGNOSTICS_STORE__ES_INDEX:
          value: "mission_diagnostics_prod"

    trip:
      replicaCount: 10

    robot-sims:
      replicaCount: "0"
      env:
        ROBOT_SIMS_DAEMON__ROBOT_SIM__ENV:
          value: prod
        ROBOT_SIMS_DAEMON_RUNNER__ROBOT_SIMS_DAEMON__PROCESSES:
          value: '"0"'

    robot-sims-v2:
      env:
        ROBOT_SIMS_V2__ROBOT_SIMS_CONTROLLER__ENV:
          value: prod

    diagnostics:
      env:
        DIAGNOSTICS_SERVICE__ES_CLIENT__URL:
          value: "https://search-telemetry-prod-u4nx7c6xcwezuahicgdmioxnua.us-west-2.es.amazonaws.com"
        DIAGNOSTICS_SERVICE__DIAGNOSTICS_SERVICE_CONTROLLER__MISSION_STATE_TRANSITION_ES_URL:
          value: "https://vpc-firaoqtbvvqxmuuiwdgzpgeldwao-bgykekya3z6idzpihxclaljmoa.us-west-2.es.amazonaws.com"
        DIAGNOSTICS_SERVICE__DIAGNOSTICS_SERVICE_CONTROLLER__MISSION_STATE_TRANSITION_ES_INDEX:
          value: "mission_diagnostics_prod*"

    robot:
      env:
        ROBOT__TELEMETRY_CLIENT__URL:
          value: 'https://search-telemetry-prod-u4nx7c6xcwezuahicgdmioxnua.us-west-2.es.amazonaws.com'
        ROBOT__TELEMETRY_CLIENT__INDEX:
          value: 'prod_telemetry_v2'

ci-pipeline:
  enabled: true

  releaseHook: false

  integrationTest:
    env:
      MAESTRO_INTEGRATION_TEST_ENV:
        value: eks-dev
      MAESTRO_INTEGRATION_TEST_BRANCH:
        value: prod

sqs-sns:
  enabled: true

rds:
  enabled: true
  clusterServicePlanExternalName: custom
  CidrBlocks: "10.5.136.0/28,10.5.136.16/28"
